thunderbird 68: "TypeError: this.asyncConnection is null" on ppc64el

Bug #1845929 reported by Olivier Tilloy on 2019-09-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
High
Olivier Tilloy

Bug Description

I'm seeing enigmail 2.1.2 autopkgtest failures (only) on ppc64el, with thunderbird 68.0 and 68.1.0.

When running thunderbird in xvfb in a ppc64el VM in the cloud, I'm seeing the following error message printed out several times:

JavaScript error: resource:///modules/gloda/datastore.js, line 1384: TypeError: this.asyncConnection is null

In the context of enigmail autopkgtests, I'm seeing this:

JavaScript error: resource:///modules/gloda/datastore.js, line 1384: TypeError: this.asyncConnection is null
JSUnit starting tests
Starting JS unit tests main.js

success!!!
checkDatabaseStructure
checkDatabaseStructure - success
createTable()
JavaScript error: resource://gre/modules/Sqlite.jsm, line 815: Error: Error(s) encountered during statement execution: database disk image is malformed
JavaScript error: resource://gre/modules/Sqlite.jsm, line 81: Error: Warning: Sqlite connection 'testing.sqlite#0' was not properly closed. Auto-close triggered by garbage collection.

And the tests hang forever until autopkgtest times out.

Olivier Tilloy (osomon) on 2019-10-01
Changed in thunderbird (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → High
status: New → In Progress
Olivier Tilloy (osomon) wrote :

Rebuilding thunderbird against the system-wide libsqlite3 (instead of the vendored one) seems to fix the problem.

The version of libsqlite3 in eoan (3.29.0) is newer than the one in the thunderbird source tree (3.28.0).

Olivier Tilloy (osomon) on 2019-10-01
Changed in thunderbird (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:68.1.1+build1-0ubuntu1

---------------
thunderbird (1:68.1.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.1build1)

  * Build thunderbird against the system-wide version of sqlite3 (LP: #1845929)
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

 -- Olivier Tilloy <email address hidden> Tue, 01 Oct 2019 14:47:00 +0200

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers